/******************************************************************/
/*                                                                */
/*              Plot the impulse response functions               */
/*                                                                */
/*                        Frank Schorfheide                       */
/*                                                                */
/******************************************************************/

/* filename: irfplot2.g
** created:  09/27/01
*/
new;
library pgraph;
cls;
#include c:\projects\active\homep\gauss\pathspec.g;

nirf  = 40;                /* number of impulse responses */
nsim  = 1;
ti    = seqa(1,1,nirf);

/* Read Posterior Simulation Summary Files
*/

/* VAR 
*/
lmodel = "m0";
lprior = "1";
mhrun  = "1";

lirf   = "11";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m0ir11 = readr(fhsummary,1)';
seekr(fhsummary,3+nirf);
band11 = readr(fhsummary,2)';
closeall fhsummary;

lirf   = "12";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m0ir12 = readr(fhsummary,1)';
seekr(fhsummary,3+nirf);
band12 = readr(fhsummary,2)';
closeall fhsummary;

lirf   = "13";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m0ir13 = readr(fhsummary,1)';
seekr(fhsummary,3+nirf);
band13 = readr(fhsummary,2)';
closeall fhsummary;

lirf   = "21";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m0ir21 = readr(fhsummary,1)';
seekr(fhsummary,3+nirf);
band21 = readr(fhsummary,2)';
closeall fhsummary;

lirf   = "22";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m0ir22 = readr(fhsummary,1)';
seekr(fhsummary,3+nirf);
band22 = readr(fhsummary,2)';
closeall fhsummary;

lirf   = "23";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m0ir23 = readr(fhsummary,1)';
seekr(fhsummary,3+nirf);
band23 = readr(fhsummary,2)';
closeall fhsummary;

lirf   = "31";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m0ir31 = readr(fhsummary,1)';
seekr(fhsummary,3+nirf);
band31 = readr(fhsummary,2)';
closeall fhsummary;

lirf   = "32";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m0ir32 = readr(fhsummary,1)';
seekr(fhsummary,3+nirf);
band32 = readr(fhsummary,2)';
closeall fhsummary;

lirf   = "33";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m0ir33 = readr(fhsummary,1)';
seekr(fhsummary,3+nirf);
band33 = readr(fhsummary,2)';
closeall fhsummary;


/* DSGE Model M1
*/
lmodel = "m1";
lprior = "1";
mhrun  = "1";

lirf   = "11";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m1ir11 = readr(fhsummary,1)';
closeall fhsummary;

lirf   = "12";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m1ir12 = readr(fhsummary,1)';
closeall fhsummary;

lirf   = "13";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m1ir13 = readr(fhsummary,1)';
closeall fhsummary;

lirf   = "21";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m1ir21 = readr(fhsummary,1)';
closeall fhsummary;

lirf   = "22";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m1ir22 = readr(fhsummary,1)';
closeall fhsummary;

lirf   = "23";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m1ir23 = readr(fhsummary,1)';
closeall fhsummary;



lirf   = "31";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m1ir31 = readr(fhsummary,1)';
closeall fhsummary;

lirf   = "32";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m1ir32 = readr(fhsummary,1)';
closeall fhsummary;

lirf   = "33";
osummary       = resupath $+ "\\mhrun" $+ mhrun $+ "\\" $+ lmodel $+ lprior $+ "c" $+ lirf $+ mhrun $+"s";
open fhsummary = ^osummary for read;
m1ir33 = readr(fhsummary,1)';
closeall fhsummary;

/* Plot Impulse Response Functions
*/
pltirf:   
   graphset;
   begwind;
   margin(0,0,0.2,0.2);
   window(3,3,0);
   fonts("microb");
   _ptitlht = 0.3;
   _paxht = 0.3;
   _pnumht = 0.25;
   _pcolor =2 ;
   _pltype = {6 1 2 2};
   _protate = 1; 
   _plctrl = 0;
   _plwidth = 5.5;
   _psymsiz = 5;

   _plegstr = "DSGE (Mean)\000VAR (Mean)\00090% Interval (U)\00090% Interval (L)";
   ylabel("Percent");   

   title("Productivity / Permanent ");
   _plegctl = {2 4 2.7 1.2};
   xy(ti,m1ir11 ~ m0ir11 ~ band11);
   nextwind;

   title("Cons Durables / Permanent ");
   _plegctl = {2 4 2.7 1.2};
   xy(ti,m1ir21 ~ m0ir21 ~ band21);
   nextwind;

   title("Hours / Permanent ");
   _plegctl = {2 4 2.7 5.2};
   xy(ti,m1ir31 ~ m0ir31 ~ band31);
   nextwind;

   title("Productivity / Labor Demand ");
   _plegctl = {2 4 2.7 5.2};
   xy(ti,m1ir12 ~ m0ir12 ~ band12);
   nextwind;

   title("Cons Durables / Labor Demand ");
   _plegctl = {2 4 2.7 5.2};
   xy(ti,m1ir22 ~ m0ir22 ~ band22);
   nextwind;

   title("Hours / Labor Demand ");
   _plegctl = {2 4 2.7 5.2};
   xy(ti,m1ir32 ~ m0ir32 ~ band32);
   nextwind;

   title("Productivity / Labor Supply ");
   _plegctl = {2 4 2.7 5.2};
   xy(ti,m1ir13 ~ m0ir13 ~ band13);
   nextwind;

   title("Cons Durables / Labor Supply ");
   _plegctl = {2 4 2.7 1.5};
   xy(ti,m1ir23 ~ m0ir23 ~ band23);
   nextwind;

   title("Hours / Labor Supply ");
   _plegctl = {2 4 2.7 1.5};
   xy(ti,m1ir33 ~ m0ir33 ~ band33);

   endwind;
